Jump to content

Photo

ledger compile failed

- - - - - ledger compilation failed

9 replies to this topic

#1
gaussian

gaussian

    Newbie

  • Members
  • Pip
  • 6 posts

Hi,

I am trying to emerge: 

[ebuild  N    ] app-office/ledger-3.1.1  USE="python -doc -emacs" PYTHON_TARGETS="python2_7"

I get this error:

'/var/tmp/portage/app-office/ledger-3.1.1/temp/build.log'

 * Messages for package app-office/ledger-3.1.1:

 * There is NOT at least 8 GiB RAM
 * 
 * Space constraints set in the ebuild were not met!
 * The build will most probably fail, you should enhance the space
 * as per failed tests.
 * 
 * ERROR: app-office/ledger-3.1.1::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=app-office/ledger-3.1.1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=app-office/ledger-3.1.1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/app-office/ledger-3.1.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-office/ledger-3.1.1/temp/environment'.
 * Working directory: '/var/tmp/portage/app-office/ledger-3.1.1/work/ledger-3.1.1_build'
 * S: '/var/tmp/portage/app-office/ledger-3.1.1/work/ledger-3.1.1'

I increase the swap partition temporarily since I have only 6GB of RAM

free -m
              total        used        free      shared  buff/cache   available
Mem:           5714         789        3972         442         951        4257
Swap:          6145         472        5673

I also tried to play around with the flag MAKEOPTS (="-j1" instead of "-j5"). 

I don't know what else to try. Some help would be much appreciated 

Attached is the build log. 

emerge --info '=app-office/ledger-3.1.1::gentoo'
Portage 2.3.2 (python 2.7.12-final-0, funtoo/1.0/linux-gnu/arch/x86-64bit, gcc-5.3.0, glibc-2.22, 4.8.15-1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.8.15-1-x86_64-AMD_Phenom-tm-_II_P960_Quad-Core_Processor-with-gentoo-2.2.1
KiB Mem:     5851440 total,   4842912 free
KiB Swap:    6293496 total,   5598724 free
sh bash 4.3_p48
ld GNU ld (Funtoo 2.25) 2.25.0
app-shells/bash:          4.3_p48::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.0-r2::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.7.1::gentoo
sys-apps/baselayout:      2.2.1::gentoo
sys-apps/openrc:          0.18.3-r2::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25-r2::gentoo
sys-devel/gcc:            5.3.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: git://github.com/funtoo/ports-2012.git
    priority: -1000

haskell
    location: /var/lib/layman/haskell
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA Oracle-BCLA-JavaSE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=amdfam10 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=amdfam10 -O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl alsa amd64 apng berkdb bluray bzip2 cdda cddb cdio cdr cracklib crypt cups cxx dbus dri dts dvd dvdr dvdread encode exif faac faad ffmpeg flac gdbm gif gpm ico iconv icu ieee1394 infinality ios ipod ipv6 jpeg jpeg2k lame libass libguess libmpeg2 mad matroska mjpeg mmx modules mp3 mpeg mtp mudflap multilib ncurses nls nptl nsplugin ogg opengl openmp pam pcre pdf png postproc pppd python quicktime readline resolvconf sndfile sse sse2 ssl svg taglib tcpd theora tiff truetype twolame udev unicode v4l vorbis vpx wav wavpack webp win32codecs wmf x264 x265 xattr xml xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel ice1724 intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias authn_core authz_core socache_shmcb unixd" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby21 ruby22 ruby23 ruby24" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

Attached Files



#2
Sandro

Sandro

    Advanced Member

  • Members
  • PipPipPip
  • 369 posts
  • LocationSaronno, Via IV Novembre, 23 21047 Italy

zram ?  :rolleyes:



#3
gaussian

gaussian

    Newbie

  • Members
  • Pip
  • 6 posts

So, you think the problem is the lack of RAM and this problem can not be solved as I did, adding more swap space.

Where in the logs I can find that information ? Thanks for your help.



#4
hencb

hencb

    Member

  • Members
  • PipPip
  • 13 posts

Try editing the ebuild:

# Building with python integration seems to fail without 8G available
# RAM(!)  Since the memory check in check-reqs doesn't count swap, it
# may be unfair to fail the build entirely on the memory test alone.
# Therefore check-reqs_pkg_pretend is deliberately omitted so that we
# ewarn but not eerror.
 

This is the comment in the ebuild, according to it,  with swap you should be fine according to the comment.

 

Comment out this line in the ledger-3.1.1 below the comment (line 58):

 

check-reqs_pkg_setup change to:

#check_reqs_pkg_setup

 

Commenting out the line will skip the RAM check.

 

Then, try emerging the package and see if it works.



#5
Sandro

Sandro

    Advanced Member

  • Members
  • PipPipPip
  • 369 posts
  • LocationSaronno, Via IV Novembre, 23 21047 Italy

With python local use flag enabled, there is large amount of ram used.

sandro@ci74771ht ~ $ free -m 
             total        used        free      shared  buff/cache   available
Mem:          15995        9087        3130          48        3777        6357
Swap:         16383           0       16383

Wath do You think to experiment disabling python (locally) ?

USE="-python" emerge ledger

(Also in this case there is a large use of ram) :|

With my PC both compiles successfully:

with python disabled:
real    1m58.059s 
user    12m5.604s
sys     0m27.481s
_______________________
 
with python enabled:
real    3m15.278s 
user    19m1.764s
sys     0m43.419s

(with i7 4771 + 16 GiB ram).

 

(but i'm not a ledger user ... and i don't know if for You to have python use enabled is strictly necessary.



#6
gaussian

gaussian

    Newbie

  • Members
  • Pip
  • 6 posts

I've tried what you suggest:

USE="-python" emerge ledger

with no success. The same kind of error during compilation phase. It compiled much faster though.

I start suspecting that I can have a faulty ram module that is giving me all this trouble....I will try a memtest86



#7
Sandro

Sandro

    Advanced Member

  • Members
  • PipPipPip
  • 369 posts
  • LocationSaronno, Via IV Novembre, 23 21047 Italy

However (imho), it is really an ebuild "strange": it is smaller than Libreoffice, or chromium ... but takes a lot of ram. I'm sorry ... but I do not know why :'(

I'm surprised :| 

forgive my ignorance :(



#8
gaussian

gaussian

    Newbie

  • Members
  • Pip
  • 6 posts

Me too I am surprised. It's a command line tool! I thought that means small code, little compilation time and  fast execution. It's not this case. I also do not understand...



#9
gaussian

gaussian

    Newbie

  • Members
  • Pip
  • 6 posts

So, I masked the version app-office/ledger-3.1.1 and install 3.1-r1. It compiled without any problem!! It downgrades the dependencies: dev-libs/boost-1.62 and dev-util/boost-build-1.62 to 1.56. Perhaps it has to do with the linking error at the end of the built..just a guess..

Should I fill a bug about this? 


  • Sandro likes this

#10
Sandro

Sandro

    Advanced Member

  • Members
  • PipPipPip
  • 369 posts
  • LocationSaronno, Via IV Novembre, 23 21047 Italy

So, I masked the version app-office/ledger-3.1.1 and install 3.1-r1. It compiled without any problem!! It downgrades the dependencies: dev-libs/boost-1.62 and dev-util/boost-build-1.62 to 1.56. Perhaps it has to do with the linking error at the end of the built..just a guess..

Should I fill a bug about this? 

 

don't know :|





Reply to this topic



  


0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users